_GPPort Struct Reference

The GPhoto port structure. More...

`#include <gphoto2-port.h>`

Collaboration diagram for _GPPort:
[legend]

## Data Fields

GPPortType | type
| Actual type of this port.
GPPortSettings | settings
| Current port settings.
GPPortSettings | settings_pending
| Settings to be committed.
int | timeout
| Port timeout in milliseconds.
GPPortPrivateLibrary * | pl
| Camera driver private data pointer.
GPPortPrivateCore * | pc
| Port library private data pointer.

## Detailed Description

The GPhoto port structure.

This structure tracks the physical connection of the device. It can correspond the various methods of lowlevel access, serial usb and others and abstracts them as much as possible.

Frontends should consider this structure opaque and only use accessor functions.

Camera drivers should only access the type and pl members directly, and use accessor functions for the rest.

The documentation for this struct was generated from the following file:

- libgphoto2_port/gphoto2/gphoto2-port.h